#ifndef MYPAINTER_H
#define MYPAINTER_H
#include <QLabel>

class mypainter : public QLabel
{
	Q_OBJECT
	public:
		mypainter(QWidget * parent);
	public:
		int paint_x;
		int paint_y;
		int ptsize;
		int tool;
		int brush;
		int alphamask;
		QImage mydraw;
		QImage savedraw;
		QImage imgbrush;
		QPixmap img2fond;
		QColor mycolor;
		QColor dstcolor;

		void scaledp(int, int);
	signals:

	private:
		QPoint lastPos;
	protected:
		void mouseMoveEvent(QMouseEvent *event);
		void mousePressEvent(QMouseEvent *event);
		void leaveEvent(QEvent *);
		void paintEvent(QPaintEvent *);
};
#endif
